Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class SigContextProxy

    java.lang.Object
      |
      +--org.mozilla.jss.util.NativeProxy
            |
            +--org.mozilla.jss.pkcs11.SigContextProxy

class SigContextProxy
extends NativeProxy

Field Summary

Fields inherited from class org.mozilla.jss.util.NativeProxy
``

Constructor Summary
`SigContextProxy(byte[] pointer)`

Method Summary
`protected void` | `finalize()` Finalize this NativeProxy by releasing its native resources.
`protected void` | `releaseNativeResources()` Release the native resources used by this proxy.

Methods inherited from class org.mozilla.jss.util.NativeProxy
`assertRegistryEmpty, equals, getRegistryIndex, getRegistryIndices`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigContextProxy

    public SigContextProxy(byte[] pointer)

Method Detail

### releaseNativeResources

    protected void releaseNativeResources()

  Description copied from class: `NativeProxy`
  Release the native resources used by this proxy. Subclasses of NativeProxy must define this method to clean up data structures in C code that are referenced by this proxy. releaseNativeResources() will usually be implemented as a native method.

  You don't call this method; NativeProxy.finalize() calls it for you.

  You must declare a finalize() method which calls super.finalize().

  Specified by:
    `releaseNativeResources` in class `NativeProxy`

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Description copied from class: `NativeProxy`
  Finalize this NativeProxy by releasing its native resources. The finalizer calls releaseNativeResources() so you don't have to. This finalizer should be called from the finalize() method of all subclasses: class MyProxy extends NativeProxy { [...] protected void finalize() throws Throwable { // do any object-specific finalization other than // releasing native resources [...] super.finalize(); } }

  Overrides:
    `finalize` in class `NativeProxy`
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD